@import '../../styles/variables.scss';

/**
  Основной контейнер для всего сайта.
  Задает отступ от шапки до footer
 */
.main {
  padding: 24px 0 0;
}

@media (min-width: $breakpoint-2) {
  .main {
    padding: 36px 0 0;
  }
}


/**
  Контейнер для обычного блока с отступами:
  60px - desktop, 24 - mobile
 */
.block {
  max-width: 100%;

  &_container {
    margin: 0 auto;
  }

  &_heading {
    margin-bottom: 36px;
    text-align: center;

    h2 {
      margin-bottom: 12px;
    }
  }
}

.vertical_padding {
  padding-top: 24px;
  padding-bottom: 24px;
}

.horizontal_padding {
  padding-right: 24px;
  padding-left: 24px;
}

.padding_top {
  padding-bottom: 0;
  padding-top: 24px;
}

.padding_bottom {
  padding-bottom: 24px;
  padding-top: 0;
}

@media (min-width: $breakpoint-2) {
  .block {
    &_heading {
      margin-bottom: 48px;
    }
  }

  .vertical_padding {
    padding-top: 60px;
    padding-bottom: 60px;
  }

  .horizontal_padding {
    padding-right: 60px;
    padding-left: 60px;
  }

  .padding_top {
    padding-bottom: 0;
    padding-top: 60px;
  }

  .padding_bottom {
    padding-bottom: 60px;
    padding-top: 0;
  }
}
